﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head>
    <title></title>
</head>
<body>

    <h3 id="repo-command-line-instructions" class="page-title-empty" 
        style="box-sizing: border-box; margin: 12px 0px; font-weight: 600; line-height: 1.3; color: rgb(48, 48, 48); font-size: 1.25em; font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Noto Sans&quot;, Ubuntu, Cantarell, &quot;Helvetica Neue&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial;">
        Command line instructions</h3>
    <p style="box-sizing: border-box; margin-top: 0px; margin-bottom: 1rem; color: rgb(48, 48, 48); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Noto Sans&quot;, Ubuntu, Cantarell, &quot;Helvetica Neue&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial;">
        You can also upload existing files from your computer using the instructions 
        below.</p>
    <div class="git-empty js-git-empty" 
        style="box-sizing: border-box; margin-bottom: 7px; color: rgb(48, 48, 48); font-family: -apple-system, BlinkMacSystemFont, &quot;Segoe UI&quot;, Roboto, &quot;Noto Sans&quot;, Ubuntu, Cantarell, &quot;Helvetica Neue&quot;, sans-serif, &quot;Apple Color Emoji&quot;, &quot;Segoe UI Emoji&quot;, &quot;Segoe UI Symbol&quot;, &quot;Noto Color Emoji&quot;; font-size: 14px; font-style: normal; font-variant-ligatures: normal; font-variant-caps: normal; font-weight: 400; letter-spacing: normal; orphans: 2; text-align: left; text-indent: 0px; text-transform: none; white-space: normal; widows: 2; word-spacing: 0px; -webkit-text-stroke-width: 0px; background-color: rgb(255, 255, 255); text-decoration-style: initial; text-decoration-color: initial;">
        <fieldset style="box-sizing: border-box; min-width: 0px; padding: 0px; margin: 0px; border: 0px;">
            <h5 style="box-sizing: border-box; margin-top: 10px; margin-bottom: 10px; font-weight: 600; line-height: 1.2; color: rgb(48, 48, 48); font-size: 0.875rem;">
                Git global setup</h5>
            <pre class="bg-light" 
                style="box-sizing: border-box; font-family: Menlo, &quot;DejaVu Sans Mono&quot;, &quot;Liberation Mono&quot;, Consolas, &quot;Ubuntu Mono&quot;, &quot;Courier New&quot;, &quot;andale mono&quot;, &quot;lucida console&quot;, monospace; font-size: 13px; margin: 0px 0px 8px; overflow: auto; display: block; color: rgb(48, 48, 48); padding: 8px 12px; word-break: break-all; overflow-wrap: break-word; background-color: rgb(219, 219, 219) !important; border: 1px solid rgb(219, 219, 219); border-radius: 2px;">git config --global user.name &quot;SuperMasterPippa&quot;
git config --global user.email &quot;m.dennix@tiscali.it&quot;
</pre>
        </fieldset><fieldset 
            style="box-sizing: border-box; min-width: 0px; padding: 0px; margin: 0px; border: 0px;">
            <h5 style="box-sizing: border-box; margin-top: 10px; margin-bottom: 10px; font-weight: 600; line-height: 1.2; color: rgb(48, 48, 48); font-size: 0.875rem;">
                Create a new repository</h5>
            <pre class="bg-light" 
                style="box-sizing: border-box; font-family: Menlo, &quot;DejaVu Sans Mono&quot;, &quot;Liberation Mono&quot;, Consolas, &quot;Ubuntu Mono&quot;, &quot;Courier New&quot;, &quot;andale mono&quot;, &quot;lucida console&quot;, monospace; font-size: 13px; margin: 0px 0px 8px; overflow: auto; display: block; color: rgb(48, 48, 48); padding: 8px 12px; word-break: break-all; overflow-wrap: break-word; background-color: rgb(219, 219, 219) !important; border: 1px solid rgb(219, 219, 219); border-radius: 2px;">git clone <span 
                class="js-clone" style="box-sizing: border-box;">https://gitlab.com/m.dennix/websimplex.git</span>
cd websimplex
touch README.md
git add README.md
git commit -m &quot;add README&quot;
<span style="box-sizing: border-box;">git push -u origin master</span></pre>
        </fieldset><fieldset 
            style="box-sizing: border-box; min-width: 0px; padding: 0px; margin: 0px; border: 0px;">
            <h5 style="box-sizing: border-box; margin-top: 10px; margin-bottom: 10px; font-weight: 600; line-height: 1.2; color: rgb(48, 48, 48); font-size: 0.875rem;">
                Push an existing folder</h5>
            <pre class="bg-light" 
                style="box-sizing: border-box; font-family: Menlo, &quot;DejaVu Sans Mono&quot;, &quot;Liberation Mono&quot;, Consolas, &quot;Ubuntu Mono&quot;, &quot;Courier New&quot;, &quot;andale mono&quot;, &quot;lucida console&quot;, monospace; font-size: 13px; margin: 0px 0px 8px; overflow: auto; display: block; color: rgb(48, 48, 48); padding: 8px 12px; word-break: break-all; overflow-wrap: break-word; background-color: rgb(219, 219, 219) !important; border: 1px solid rgb(219, 219, 219); border-radius: 2px;">cd existing_folder
git init
git remote add origin <span class="js-clone" style="box-sizing: border-box;">https://gitlab.com/m.dennix/websimplex.git</span>
git add .
git commit -m &quot;Initial commit&quot;
<span style="box-sizing: border-box;">git push -u origin master</span></pre>
        </fieldset><fieldset 
            style="box-sizing: border-box; min-width: 0px; padding: 0px; margin: 0px; border: 0px;">
            <h5 style="box-sizing: border-box; margin-top: 10px; margin-bottom: 10px; font-weight: 600; line-height: 1.2; color: rgb(48, 48, 48); font-size: 0.875rem;">
                Push an existing Git repository</h5>
            <pre class="bg-light" 
                style="box-sizing: border-box; font-family: Menlo, &quot;DejaVu Sans Mono&quot;, &quot;Liberation Mono&quot;, Consolas, &quot;Ubuntu Mono&quot;, &quot;Courier New&quot;, &quot;andale mono&quot;, &quot;lucida console&quot;, monospace; font-size: 13px; margin: 0px 0px 8px; overflow: auto; display: block; color: rgb(48, 48, 48); padding: 8px 12px; word-break: break-all; overflow-wrap: break-word; background-color: rgb(219, 219, 219) !important; border: 1px solid rgb(219, 219, 219); border-radius: 2px;">cd existing_repo
git remote rename origin old-origin
git remote add origin <span class="js-clone" style="box-sizing: border-box;">https://gitlab.com/m.dennix/websimplex.git</span>
<span style="box-sizing: border-box;">git push -u origin --all
git push -u origin --tags</span></pre>
        </fieldset></div>

</body>
</html>
